//  parsubs.h 

/*
 * Licensed Materials - Property of IBM
 * 5648-C63
 * (C) Copyright IBM Corp. 2000
 */

CciChar * CciCharChr(CciChar* target, const CciChar source);
char* ErrorToString(int iRc);
void traceError(char * srcfile, const int srcline, char *szFormat, ...);
int	findCharacterValue(char *value, int maxSize, CciElement* nameElement, int codepage);
CciElement * getValueElement(CciElement* nameElement);
CciElement * findElementByName(const CciChar * fullName, CciElement * firstElement);
CciElement * findNextElement(CciElement* element, CciChar * varName);
const char * getParsubsLevel();
int	getCodePage(CciParser* parser);
int	getEncoding(CciParser* parser);
void getMessageDomain(CciParser* parser, char * value, const int maxLen);
void getMessageSet(CciParser* parser, char * value, const int maxLen);
void getMessageType(CciParser* parser, char * value, const int maxLen);
